routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/', 'HomeController@index')->name('home');
Route::get('/documents', 'HomeController@document')->name('documents.index');
Route::resource('users', 'UserController');
Route::get('/events', 'EventController@index')->name('events.index');
Route::get('/venues', 'VenueController@index')->name('venues.index');
Route::get('/charts/event-count-by-tags', 'ChartController@drawEventCountByTags')->name('charts.event_count_by_tags');
Route::get('/charts/event-participation-by-age-group', 'ChartController@drawEventParticipationByAgeGroup')->name('charts.event_participation');
Route::get('/charts/event-counts-by-week', 'ChartController@drawEventCountsByWeek')->name('charts.event_counts_by_week');
Route::get('/charts/event-counts-by-day', 'ChartController@drawEventCountsByDay')->name('charts.event_counts_by_day');
Route::get('/logout', 'LoginController@logout');
Route::get('/friends/graph', 'FriendsController@graph')->name('friends.graph');
Route::get('/friends/interests', 'FriendsController@interests')->name('friends.interests');

resources/views/charts.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="mb-4">
                <div class="d-flex justify-content-between">
                    <div><a id="prev" role="button" class="btn btn-primary" href="{{ $prevLink }}">Prev</a></div>
                    <div><a id="next" role="button" class="btn btn-primary" href="{{ $nextLink }}">Next</a></div>
                </div>
            </div>
            
            <div class="card">
                <div class="card-header">{{ $header }}</div>
                <div class="card-body">
                <button id="show-queries" type="button" class="btn btn-primary">Show Queries</button>

                    <code id="show-queries-code" class="d-none">
                    @foreach ($queries as $type => $query)
                        <br/><br/>
                        {{ $type }}:
                        <br/>       
                        {!! $query !!}
                    @endforeach
                    </code>

                    <div style="width:75%; margin-top:20px">
                            {!! $chartjs->render() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/document.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="mb-4">
                <div class="d-flex justify-content-between">
                    <div><a id="prev" role="button" class="btn btn-primary" href="{{ route('home') }}">Prev</a></div>
                    <div><a id="next" role="button" class="btn btn-primary" href="{{ route('friends.graph') }}">Next</a></div>
                </div>
            </div>

            <div class="card">
                <div class="card-header">Document Sample</div>

                <div class="card-body d-flex justify-content-center">
                    <pre><code class="hljs {{ $sampleCode->language }}">{!! $sampleCode->value !!}</code></pre>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/events.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="mb-4">
                <div class="d-flex justify-content-between">
                    <div><a id="prev" role="button" class="btn btn-primary" href="{{ route('users.index') }}">Prev</a></div>
                    <div><a id="next" role="button" class="btn btn-primary" href="{{ route('venues.index') }}">Next</a></div>
                </div>
            </div>

            <div class="card">
                <div class="card-header">Events<div style="float:right">Total Page Views: {{ $pageVisitCount }} </div></div>

                <div class="card-body">
                    <button id="show-queries" type="button" class="btn btn-primary">Show Queries</button>

                    <code id="show-queries-code" class="d-none">
                    @foreach ($eventsPageResponse->getQueries() as $db => $query)
                        <br/><br/>
                        {{$db}}:
                        <br/>
                        {!! $query !!}
                    @endforeach
                    </code>

                    <table class="table mt-4">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Type</th>
                                <th style="width: 20%;">Name</th>
                                <th>Venue</th>
                                <th>Hall</th>
                                <th>Date</th>
                                <th>Duration</th>
                                <th>Capacity</th>
                                <th>Remaining</th>
                                <th>Tags</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($eventsPageResponse->getEvents() as $event)
                            <tr>
                                <td>{{ $event->id }}</td>
                                <td>{{ ucfirst($event->event_type) }}</td>
                                <td>{{ $event->event_name }}</td>
                                <td>{{ $event->display_name }}</td>
                                <td>{{ $event->venue_hall_name }}</td>
                                <td>{{ $event->event_date }}</td>
                                <td>{{ $event->duration_in_minutes }}</td>
                                <td>{{ $event->capacity }}</td>
                                <td>{{ $event->remainingTicket }}</td>
                                <td>
                                    <a href="javascript:;" data-toggle="tooltip" data-placement="bottom"
                                       title="{{ $event->tags }}">Tags</a>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="mb-4">
                <div class="d-flex justify-content-between">
                    <div><a id="prev" role="button" class="btn btn-primary" href="{{ route('friends.interests') }}">Prev</a></div>
                    <div><a id="next" role="button" class="btn btn-primary" href="{{ route('documents.index') }}">Next</a></div>
                </div>
            </div>

            <div class="card">
                <div class="card-header">ER Diagram</div>

                <div class="card-body d-flex justify-content-center">
                    <img src="img/evently-rdbms-er-diagram.png" />
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/users.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
        <div class="mb-4">
                <div class="d-flex justify-content-between">
                    <div><a id="prev" role="button" class="btn btn-primary" href="{{ route('friends.graph') }}">Prev</a></div>
                    <div><a id="next" role="button" class="btn btn-primary" href="{{ route('events.index') }}">Next</a></div>
                </div>
            </div>

            <div class="card">
                <div class="card-header">Users<div style="float:right">Total Page Views: {{ $pageVisitCount }} </div></div>
                <div class="card-body">
                    <button id="show-queries" type="button" class="btn btn-primary">Show Queries</button>

                    <code id="show-queries-code" class="d-none">
                    @foreach ($userPageQueries as $db => $query)
                        <br/><br/>
                        {{$db}}:
                        <br/>
                        {!! $query !!}
                    @endforeach
                    </code>

                    <table class="table mt-4">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>First Name</th>
                                <th>Last Name</th>
                                <th>Username</th>
                                <th>Email</th>
                                <th>Age</th>
                                <th>Tags</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($users as $user)
                            <tr>
                                <td>{{ $user->id }}</td>
                                <td style="width: 8%;">{{ $user->first_name }}</td>
                                <td style="width: 8%;">{{ $user->last_name }}</td>
                                <td style="width: 15%;">{{ $user->username }}</td>
                                <td style="width: 12%;">{{ $user->email }}</td>
                                <td style="width: 8%;"><?php  echo Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $user->date_of_birth)->age; ?></td>
                                <td>
                                    <?php
                                        if(isset($userTags[$user->id])){
                                            echo implode(', ', $userTags[$user->id]);
                                        }
                                    ?>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/venues.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="mb-4">
                <div class="d-flex justify-content-between">
                    <div><a id="prev" role="button" class="btn btn-primary" href="{{ route('events.index') }}">Prev</a></div>
                    <div><a id="next" role="button" class="btn btn-primary" href="{{ route('charts.event_count_by_tags') }}">Next</a></div>
                </div>
            </div>

            <div class="card">
                <div class="card-header">Venues<div style="float:right">Total Page Views: {{ $pageVisitCount }} </div></div>

                <div class="card-body">
                    <button id="show-queries" type="button" class="btn btn-primary">Show Queries</button>

                    <code id="show-queries-code" class="d-none">
                    @foreach ($venuesPageResponse->getQueries() as $db => $query)
                        <br/><br/>
                        {{$db}}:
                        <br/>
                        {!! $query !!}
                    @endforeach
                    </code>

                    <table class="table mt-4">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Name</th>
                                <th>Address</th>
                                <th>City</th>
                                <th>Hall Count</th>
                                <th>Tags</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($venuesPageResponse->getVenues() as $venue)
                            <tr>
                                <td>{{ $venue->id }}</td>
                                <td>{{ $venue->display_name }}</td>
                                <td>{{ $venue->address }}</td>
                                <td>{{ $venue->city }}</td>
                                <td>{{ $venue->hallCount }}</td>
                                <td>{{ $venue->tags }}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection